Subject: Phytophthora meetings

From: [email-masked]
Date: 20 Feb 1995 12:08:08 -0800

Recently I saw a message that referred to a Phytophthora meeting in Ireland. 
Can anyone supply me with more details on this meeting? Thanks for your help.